Bug 97 - bugs when %install (rebuilding)
: bugs when %install (rebuilding)
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/imlib)
: unstable
: all Linux
: P4 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2001-10-21 12:24 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2001-10-21 12:24:54
В лог попадает следующее:
 /bin/sh ../libtool --mode=install /usr/bin/install -p  libimlib-bmp.la /home/voins/tmp/imlib-buildroot
/usr/lib/libimlib-bmp.la
libtool: install: warning: relinking `libimlib-bmp.la\'
cd /home/voins/RPM/BUILD/imlib-1.9.11/gdk_imlib; /bin/sh ../libtool --mode=relink gcc -pipe -Wall -O2 -
fexpensive-optimizations -march=i586 -mcpu=i686 -DENABLE_NLS -o libimlib-bmp.la -rpath /usr/lib -avoid-
version io-bmp.lo libgdk_imlib.la
gcc -shared  io-bmp.lo  -L/usr/lib -lgdk_imlib   -Wl,-soname -Wl,libimlib-bmp.so -o .libs/libimlib-bmp.
so
/usr/bin/ld: cannot find -lgdk_imlib
collect2: ld returned 1 exit status
libtool: install: error: relink `libimlib-bmp.la\' with the above command before installing it
и так про каждую библиотеку входящую в пакет. 
Очевидно, что если установлен пакет imlib-devel то такого не видно (поскольку в /usr/lib лежит -lgdk_imlib.

В итоге пакет не собирается с руганью:

File not found by glob: /home/voins/tmp/imlib-buildroot/usr/lib/libimlib-*.so

---

---

------- Comment #1 From 2001-10-21 17:21:21 -------
мне помогло добавления параметра к %make_build и %make_install. 
Строчки выглядят так:
...
%make_build common_ldflags=\"-L$RPM_BUILD_ROOT%_libdir
-avoid-version\"
...
%makeinstall common_ldflags=\"-L$RPM_BUILD_ROOT%_libdir
-avoid-version\"
...
------- Comment #2 From 2001-10-21 17:21:21 -------
мне помогло добавления параметра к %make_build и %make_install. 
Строчки выглядят так:
...
%make_build common_ldflags=\"-L$RPM_BUILD_ROOT%_libdir
-avoid-version\"
...
%makeinstall common_ldflags=\"-L$RPM_BUILD_ROOT%_libdir
-avoid-version\"
...
------- Comment #3 From 2002-03-14 15:16:42 -------
Fixed in imlib-1.9.13-alt1
------- Comment #4 From 2002-03-14 15:16:42 -------
Fixed in imlib-1.9.13-alt1